Cloud and BYOC for Orca Agent Engine are in Private Preview — request an invite
Docs
Connections

Get connection

GET/apis/cloud.sn.io/v1/connections/{name}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

name*string

Response Body

application/json

curl -X GET "https://example.com/apis/cloud.sn.io/v1/connections/string"
{  "name": "string",  "spec": {    "kafka": {      "authentication": {        "genericAuth": {          "clientAuthenticationParameters": "string",          "clientAuthenticationPlugin": "string"        },        "oauth2Config": {          "audience": "string",          "issuerUrl": "string",          "keySecretKey": "string",          "keySecretName": "string",          "scope": "string"        },        "plainAuthConfig": {          "passwordKey": "string",          "secretName": "string",          "usernameKey": "string"        },        "scramAuthConfig": {          "hashAlgorithm": "SHA-256",          "passwordKey": "string",          "secretName": "string",          "usernameKey": "string"        }      },      "bootstrapServers": "string",      "schemaRegistry": {        "authConfig": {          "basicAuthConfig": {            "passwordKey": "string",            "secretName": "string",            "usernameKey": "string"          },          "oauth2Config": {            "audience": "string",            "issuerUrl": "string",            "keySecretKey": "string",            "keySecretName": "string",            "scope": "string"          }        },        "url": "string"      },      "tls": {        "enabled": true,        "keyStoreConfig": {          "fileKey": "string",          "keyPasswordKey": "string",          "passwordKey": "string",          "secretName": "string",          "type": "JKS"        },        "trustStoreConfig": {          "fileKey": "string",          "passwordKey": "string",          "secretName": "string",          "type": "JKS"        }      }    },    "other": {      "endpoint": "string",      "properties": {        "property1": "string",        "property2": "string"      },      "secretRef": {        "key": "string",        "name": "string"      }    },    "pulsar": {      "adminUrl": "string",      "authentication": {        "genericAuth": {          "clientAuthenticationParameters": "string",          "clientAuthenticationPlugin": "string"        },        "oauth2": {          "audience": "string",          "issuerUrl": "string",          "keySecretKey": "string",          "keySecretName": "string",          "scope": "string"        },        "token": {          "key": "string",          "name": "string"        }      },      "serviceUrl": "string",      "tls": {        "allowInsecureConnection": true,        "clientCertSecretRef": {          "key": "string",          "name": "string"        },        "clientKeySecretRef": {          "key": "string",          "name": "string"        },        "enableHostnameVerification": true,        "enabled": true,        "trustCertsSecretRef": {          "key": "string",          "name": "string"        }      }    },    "type": "pulsar"  },  "status": {    "conditions": [      {        "lastTransitionTime": "2019-08-24T14:15:22Z",        "message": "string",        "observedGeneration": 0,        "reason": "string",        "status": "True",        "type": "string"      }    ],    "lastTestedAt": "2019-08-24T14:15:22Z",    "message": "string",    "observedGeneration": 0,    "phase": "Unknown"  },  "internal": true,  "clusterRef": "string"}